For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Tenant Role

Update Tenant Role

Required permissions: TENANT_ROLE

put
/tenants/{tenantUid}/tenant-roles/{tenantRoleUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantRoleUidstringRequired

Reference to a tenantRole.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringOptional
descriptionstringOptional
externalIdstringOptional
permissionsstring[]Optional
Responses
200

Example response

application/json
namestringRequired
descriptionstringRequired
externalIdstringRequired
permissionsstring[]Required
tenantRoleUidstringRequiredPattern: ^[A-Za-z0-9-_]+
isSystemRolebooleanRequired
put/tenants/{tenantUid}/tenant-roles/{tenantRoleUid}
PUT /v2/tenants/{tenantUid}/tenant-roles/{tenantRoleUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "name": "text",
  "description": "text",
  "externalId": "text",
  "permissions": [
    "text"
  ]
}
200

Example response

{
  "name": "text",
  "description": "text",
  "externalId": "text",
  "permissions": [
    "text"
  ],
  "tenantRoleUid": "text",
  "isSystemRole": true
}

Last updated

Was this helpful?